import type { IconPickerItem } from '../config';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly open: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly data: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IconPickerItem[]>, unknown, unknown, () => any[], boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly open: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly data: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IconPickerItem[]>, unknown, unknown, () => any[], boolean>;
    }>> & Readonly<{
        "onUpdate:open"?: (value: boolean) => any;
        onChangeIconValue?: (value: string) => any;
    }> & {}>;
    emits: ((event: "update:open", value: boolean) => void) & ((event: "changeIconValue", value: string) => void);
    scrollPosition: import("vue").Ref<"top" | "scrolling" | "bottom", "top" | "scrolling" | "bottom">;
    isHasScrollBar: import("vue").Ref<boolean, boolean>;
    scrollRef: import("vue").Ref<HTMLElement, HTMLElement>;
    searchIconValue: import("vue").Ref<string, string>;
    selectIcon: import("vue").Ref<string, string>;
    iconList: import("vue").Ref<{
        icon_id?: string;
        name?: string;
        font_class?: string;
        unicode?: string;
        unicode_decimal?: number;
    }[], IconPickerItem[] | {
        icon_id?: string;
        name?: string;
        font_class?: string;
        unicode?: string;
        unicode_decimal?: number;
    }[]>;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    isShowContentBottomBox: import("vue").ComputedRef<boolean>;
    handleOk: () => void;
    handleCancel: () => void;
    handleSelectIcon: (icon: IconPickerItem) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:open': (value: boolean) => boolean;
    changeIconValue: (value: string) => string;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly open: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly data: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IconPickerItem[]>, unknown, unknown, () => any[], boolean>;
}>> & Readonly<{
    "onUpdate:open"?: (value: boolean) => any;
    onChangeIconValue?: (value: string) => any;
}>, {
    readonly data: IconPickerItem[];
    readonly value: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
